Endpoint
http
GET https://bumi.digital/api/v1/generations
Authorization: Bearer YOUR_API_KEYQuery Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
| page | integer | 1 | Page number, starts at 1. |
| limit | integer | 20 | Items per page. Max 100. |
| type | string | — | Filter by type: image, video, audio, upscale-image, upscale-video. |
| status | string | — | Filter by status: processing, completed, failed. |
| from | ISO date | — | Include entries created on/after this timestamp. |
| to | ISO date | — | Include entries created on/before this timestamp. |
| q | string | — | Text search in prompt and model fields. |
| include_deleted | boolean | 0 | Set to 1 to also include soft-deleted generations. |
Example Request (cURL)
bash
curl -X GET "https://bumi.digital/api/v1/generations?page=1&limit=20&type=image&status=completed" \
-H "Authorization: Bearer YOUR_API_KEY"Example Response
json
{
"ok": true,
"data": [
{
"id": "cmrq...",
"type": "image",
"model": "google/imagen-4-fast",
"prompt": "A cinematic photo of a mountain sunrise",
"negative_prompt": null,
"style": null,
"aspect_ratio": "1:1",
"status": "completed",
"credits_used": 0.5,
"result_url": "https://storage.bumi.digital/...jpg",
"result_urls": [
"https://storage.bumi.digital/...jpg"
],
"error": null,
"created_at": "2026-07-10T09:15:22.104Z",
"is_deleted": false,
"deleted_at": null
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 137,
"total_pages": 7,
"has_next": true,
"has_prev": false
}
}Pagination
Use page and limit query parameters to paginate. The response includes a pagination object with total, total_pages, has_next, and has_prev to help you build UI controls.
Retrieving a Single Generation
To fetch the full details of a specific generation (including provider metadata), use GET /api/v1/generation/{id}.